OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.FramebufferBlit

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTFramebufferBlit :: MonadIO m => m Bool
- gl_EXT_framebuffer_blit :: Bool
- pattern GL_DRAW_FRAMEBUFFER_BINDING_EXT :: GLenum
- pattern GL_DRAW_FRAMEBUFFER_EXT :: GLenum
- pattern GL_READ_FRAMEBUFFER_BINDING_EXT :: GLenum
- pattern GL_READ_FRAMEBUFFER_EXT :: GLenum
- glBlitFramebufferEXT :: MonadIO m => GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLbitfield -> GLenum -> m ()

# Extension Support

glGetEXTFramebufferBlit :: MonadIO m => m Bool Source #

Is the EXT_framebuffer_blit extension supported?

gl_EXT_framebuffer_blit :: Bool Source #

Is the EXT_framebuffer_blit extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTFramebufferBlit` in those cases instead.

# Enums

pattern GL_DRAW_FRAMEBUFFER_BINDING_EXT :: GLenum Source #

pattern GL_DRAW_FRAMEBUFFER_EXT :: GLenum Source #

pattern GL_READ_FRAMEBUFFER_BINDING_EXT :: GLenum Source #

pattern GL_READ_FRAMEBUFFER_EXT :: GLenum Source #

# Functions

glBlitFramebufferEXT Source #

Arguments

:: MonadIO m |
=> GLint | `srcX0`.
-> GLint | `srcY0`.
-> GLint | `srcX1`.
-> GLint | `srcY1`.
-> GLint | `dstX0`.
-> GLint | `dstY0`.
-> GLint | `dstX1`.
-> GLint | `dstY1`.
-> GLbitfield | `mask` of type ClearBufferMask.
-> GLenum | `filter` of type BlitFramebufferFilter.
-> m () |

This command is an alias for `glBlitFramebuffer`.